Content analytics

Views and engagement gained per day, zeros filled

GET/api/public/v1/content/series
LiveAnswers from your brand's records now.

Operation id getContentSeries

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/content/series" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
start_datequerystring (date)
end_datequerystring (date)
campaign_idsquerystring
platformquerystringOne of instagramtik_tokyoutubefacebooktwitter

Responses

200Success

FieldTypeNotes
dataarray of object
data[].[].commentsinteger
data[].[].datestring (date)
data[].[].engagement_ratenumber
data[].[].likesinteger
data[].[].savesinteger
data[].[].sharesinteger
data[].[].viewsinteger
metaobject
meta.campaign_idsarray of integer
meta.organization_idinteger
meta.platformstring, nullable
meta.scopestringOne of familybrandcampaign
successboolean

Example

{
  "data": [
    {
      "comments": 3,
      "date": "2026-11-01",
      "engagement_rate": 0.15,
      "likes": 3,
      "saves": 3,
      "shares": 3,
      "views": 3
    }
  ],
  "meta": {
    "campaign_ids": [
      3
    ],
    "organization_id": 1024,
    "platform": "string",
    "scope": "family"
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.